Cache the result of "Journal#attachments’
2023-12-14 12:10 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Performance Estimated time: 0.00 hour
Target version: 6.0.0

Description

When rendering an issue history, Journal#attachments is called twice while rendering a single journal.

We can improve efficiency by caching the result of the method. With caching, unnecessary iterations over details and calls to
Attachment.where can be reduced.

Before:

Attachment Load (0.4ms) SELECT "attachments".* FROM "attachments" WHERE "attachments"."id" IN (
$1, $2) [g"id", 3931, ["id", 38]]

L app/models/journal.rb:146:in "“sort_by'

CACHE Attachment Load (0.0Oms) SELECT "attachments".* FROM "attachments" WHERE "attachments"."id
"IN ($1, $2) [g"id", 391, ["id",
3811

L app/models/journal.rb:146:in "“sort_by'

After:
Attachment Load (0.4ms) SELECT "attachments".* FROM "attachments" WHERE "attachments"."id" IN (

$1, $2) [["id", 39], ["id", 38]]
L app/models/journal.rb:147:in "“sort_by'

Associated revisions

Revision 22581 - 2023-12-31 03:02 - Go MAEDA
Cache the result of “Journal#attachments™ (#39847).

Patch by Go MAEDA (@maeda).

History

#1 - 2023-12-25 15:23 - Go MAEDA

- Target version set to 6.0.0

#2 - 2023-12-31 03:02 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22581.
